Skip to main content
PUT
Bulk Update Cashback Percentage

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
product_ids
integer[]

The products to update. The balance product is skipped.

Example:
all
boolean
Example:

false

cashback_percentage
number

The cashback override. Send null to fall back to the shop default, 0 to disable cashback.

Example:

5

Response

200 - application/json
success
boolean
Example:

true

message
string
Example:

"Products updated successfully"

updated_count
integer
Example:

2

skipped_count
integer
Example:

0

skipped_product_ids
array
Example: